body{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    background: white;
    color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    padding: 30px;
}

h2{
    margin-bottom: 25px;
    text-align: center;
    font-size: 2rem;
    color: black;
}

.controls{
    display: flex;
    gap: 12px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    background: #ffffff0d;
    padding: 15px 20px;
    border-radius: 12px;
    box-shadow: 0 4px 15px #00000036;
}

input[type="file"]{
    padding: 6px 12px;
    border-radius: 6px;
    border: 1px solid #555;
    cursor: pointer;
    background: #0000000a;
    color: #000000;
}

input[type="range"]{
    width: 180px;
    accent-color: #2b6cf6;
    cursor: pointer;
}

label{
    display: flex;
    align-items: center;
    gap: 6px;
    font-size: 0.9rem;
}

button{
    padding: .6rem 1.2rem;
    border-radius: 8px;
    border: none;
    background: #2b6cf6;
    color: white;
    cursor: pointer;
    font-weight: 600;
    transition: 0.3s;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.241);
}

button:hover{
    background: #1d4ed8;
    transform: translateY(-2px);
    box-shadow: 0 6px 14px rgba(0,0,0,0.274);
}

canvas{
    border-radius: 16px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.231);
    max-width: 90%;
    margin-top: 20px;
    background: #ffffff;
}

@media(max-width:600px){
    .controls{
        flex-direction: column;
    }
    input[type="range"]{
        width: 100%;
    }
    button{
        width: 100%;
    }
}